// ★コメント未記入
#if !defined(AFX_FINDERDLG_H__9F8F4588_323A_4021_A974_B66086DCC61D__INCLUDED_)
#define AFX_FINDERDLG_H__9F8F4588_323A_4021_A974_B66086DCC61D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FinderDlg.h : ヘッダー ファイル
//
class CShitarabianDoc;
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CFinderDlg ダイアログ

class CFinderDlg : public CDialog
{
// コンストラクション
public:
	CFinderDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ
	void Attach( CShitarabianDoc* pDoc ){ m_pDoc = pDoc; };

	void FindPrev();
	void FindNext();
/*
	BOOL FindNextAtSelection(
		CString&	strSubString,
		int*		pidxFoundCaretRow,
		int*		pidxFoundCaretColumn,
		int*		pnCaretColumn
	);
*/
	void AddSubString(
		CString&		strSubString,
		CComboBox*		pComboBox
	);

	void VisibleControl();

// ダイアログ データ
	//{{AFX_DATA(CFinderDlg)
	enum { IDD = IDD_FINDER };
	CButton	m_btnRegName;
	CComboBox	m_comboSubString;
	CString	m_strSubString;
	BOOL	m_bSelected;
	BOOL	m_bCaseCare;
	BOOL	m_bLoop;
	BOOL	m_bToken;
	BOOL	m_bRegExp;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CFinderDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CShitarabianDoc*	m_pDoc;

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CFinderDlg)
	afx_msg void OnFinderNext();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnFinderPrev();
	afx_msg void OnVisibleControl();
	afx_msg void OnRegexpChar();
	afx_msg void OnRegexpRenge();
	afx_msg void OnRegexpRengeover();
	afx_msg void OnRegexpHead();
	afx_msg void OnRegexpLast();
	afx_msg void OnRegexpNotToken();
	afx_msg void OnRegexpCount();
	afx_msg void OnRegexpSpace();
	afx_msg void OnRegexpNotSpace();
	afx_msg void OnRegexpTag();
	afx_msg void OnRegexpNot();
	afx_msg void OnRegexpOr();
	afx_msg void OnRegexp0match();
	afx_msg void OnRegexp1match();
	afx_msg void OnRegexpToken();
	afx_msg void OnRegexpGroup();
	afx_msg void OnFinderRegpropose();
	afx_msg void OnFinderMark();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_FINDERDLG_H__9F8F4588_323A_4021_A974_B66086DCC61D__INCLUDED_)
